Home » Developer & Programmer » Precompilers, OCI & OCCI » ODPI or OCCI for Oracle 9i
ODPI or OCCI for Oracle 9i [message #670316] Wed, 27 June 2018 08:18 Go to next message
sanjib2018
Messages: 4
Registered: June 2018
Junior Member
Hi All,

I am new Oracle. Currently planning to use ODPI-C to build one driver which would extract data from Oracle database version 9i release 1.
So is it possible to use ODPI-C Or shall we go for OCCI ? Please suggest
Re: ODPI or OCCI for Oracle 9i [message #670317 is a reply to message #670316] Wed, 27 June 2018 08:27 Go to previous messageGo to next message
BlackSwan
Messages: 26640
Registered: January 2009
Location: SoCal
Senior Member
sanjib2018 wrote on Wed, 27 June 2018 06:18
Hi All,

I am new Oracle. Currently planning to use ODPI-C to build one driver which would extract data from Oracle database version 9i release 1.
So is it possible to use ODPI-C Or shall we go for OCCI ? Please suggest
You should use what ever you can make work for you
Re: ODPI or OCCI for Oracle 9i [message #670344 is a reply to message #670316] Thu, 28 June 2018 06:23 Go to previous messageGo to next message
EdStevens
Messages: 1148
Registered: September 2013
Senior Member
sanjib2018 wrote on Wed, 27 June 2018 08:18
Hi All,

I am new Oracle. Currently planning to use ODPI-C to build one driver which would extract data from Oracle database version 9i release 1.
So is it possible to use ODPI-C Or shall we go for OCCI ? Please suggest
Use whatever you can get to work against that old, obsolete, out of support version of Oracle. It is so old it no longer shows up on Oracle's 'lifecycle schedule', which which doesn't even reference anything older than 10.1.0.5
Re: ODPI or OCCI for Oracle 9i [message #670346 is a reply to message #670344] Thu, 28 June 2018 06:39 Go to previous messageGo to next message
sanjib2018
Messages: 4
Registered: June 2018
Junior Member
Thanks Stevens for your suggestion.

One more query i have like
As from document "ODPI-C can use Oracle Client 11.2, 12.1 or 12.2 libraries." , So Will it be a problem if i installed client 11.2 in my app server to access the lower version Oracle ( i.e 10g)?


Re: ODPI or OCCI for Oracle 9i [message #670352 is a reply to message #670346] Thu, 28 June 2018 08:15 Go to previous messageGo to next message
Michel Cadot
Messages: 66714
Registered: March 2007
Location: Nanterre, France, http://...
Senior Member
Account Moderator

8i and 10g is not the same thing.
What is your actual target version?

Re: ODPI or OCCI for Oracle 9i [message #670356 is a reply to message #670352] Thu, 28 June 2018 09:08 Go to previous messageGo to next message
sanjib2018
Messages: 4
Registered: June 2018
Junior Member
Oracle Database version is 10g
Re: ODPI or OCCI for Oracle 9i [message #670377 is a reply to message #670356] Fri, 29 June 2018 08:34 Go to previous messageGo to next message
EdStevens
Messages: 1148
Registered: September 2013
Senior Member
sanjib2018 wrote on Thu, 28 June 2018 09:08
Oracle Database version is 10g
In your opening post you said "extract data from Oracle database version 9i"

So which is it? 9i or 10g?

BTW, '9i', '10g', etc. are marketing labels that only identify the db at a high level. In these forums we work with issues (like yours) that are sensitive to intermediate release levels. You need to get in the habit of knowing and referring to your databases by their 'decimal' designation -- 10.2.0.1, 11.2.0.4, 12.1.0.2, etc.
Re: ODPI or OCCI for Oracle 9i [message #670378 is a reply to message #670346] Fri, 29 June 2018 08:38 Go to previous message
EdStevens
Messages: 1148
Registered: September 2013
Senior Member
sanjib2018 wrote on Thu, 28 June 2018 06:39
Thanks Stevens for your suggestion.

One more query i have like
As from document "ODPI-C can use Oracle Client 11.2, 12.1 or 12.2 libraries." , So Will it be a problem if i installed client 11.2 in my app server to access the lower version Oracle ( i.e 10g)?


That could be problematic. You need to consult the client/server compatibility matrix on My Oracle Support .. Doc ID 207303.1

Previous Topic: PLS-S-00201, identifier 'STATS_MODE' must be declared
Next Topic: OCI functions to load data in application directory
Goto Forum:
  


Current Time: Sat Dec 07 06:27:06 CST 2019